##### serial_port::serial_port (4 of 5 overloads)

Construct a `serial_port` on an existing native serial port.

    serial_port(
        asio::io_context & io_context,
        const native_handle_type & native_serial_port);

This constructor creates a serial port object to hold an existing native serial port.

###### Parameters

io_context

  The `io_context` object that the serial port will use to dispatch handlers for any asynchronous operations performed on the port.

native_serial_port

  A native serial port.

###### Exceptions

asio::system_error

  Thrown on failure.